sparse_Means {textTinyR} | R Documentation

## RowMens and colMeans for a sparse matrix

### Description

RowMens and colMeans for a sparse matrix

### Usage

    sparse_Means(sparse_matrix, rowMeans = FALSE)

### Arguments

`sparse_matrix` | a sparse matrix
`rowMeans` | either TRUE or FALSE. If TRUE then the row-means will be calculated, otherwise the column-means

### Value

a vector with either the row- or the column-sums of the matrix

### Examples

    library(textTinyR)

    tmp = matrix(sample(0:1, 100, replace = TRUE), 10, 10)

    sp_mat = dense_2sparse(tmp)

    spsm = sparse_Means(sp_mat, rowMeans = FALSE)

[Package textTinyR version 1.1.3 Index]